/*
 * Copyright (C) 2003 Ichiro Satoh (ichiro@nii.ac.jp)
 * All Rights Reserved.
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation is hereby granted, provided that both the
 * copyright notice and this permission notice appear in all copies of
 * the software, derivative works or modified versions, and any
 * portions thereof, and that both notices appear in supporting
 * documentation.
 *
 * FREE USE OF THIS SOFTWARE IS ALLOWED IN ITS "AS IS" CONDITION.
 * BUT WITHOUT WARRANTY. THE AUTHORS DISCLAIM ANY LIABILITY OF ANY 
 * KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS 
 * SOFTWARE.
 */

package sample;

import java.awt.*;

public class WindowReceiver extends Frame {

	public static void main(String[] args) throws Exception {
		new WindowReceiver();
	}

	public WindowReceiver() {
		super("Receiver Window");
		setSize(500, 300);
		setLayout(new BorderLayout());
		setVisible(true);
	}

	public void receive(Component comp) {
		add(comp, BorderLayout.CENTER);
		setVisible(true);
	}
}
