/*
 * Copyright (C) 2003 Ichiro Satoh (ichiro@nii.ac.jp)
 * All Rights Reserved.
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation is hereby granted, provided that both the
 * copyright notice and this permission notice appear in all copies of
 * the software, derivative works or modified versions, and any
 * portions thereof, and that both notices appear in supporting
 * documentation.
 *
 * FREE USE OF THIS SOFTWARE IS ALLOWED IN ITS "AS IS" CONDITION.
 * BUT WITHOUT WARRANTY. THE AUTHORS DISCLAIM ANY LIABILITY OF ANY 
 * KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS 
 * SOFTWARE.
 */
 
package tinyrmi;

import java.io.Serializable;

public class Type implements Serializable {
  static final byte TYPE_OBJECT = 0;
  static final byte TYPE_BOOLEAN = 1;
  static final byte TYPE_BYTE = 2;
  static final byte TYPE_SHORT = 3;
  static final byte TYPE_CHAR = 4;
  static final byte TYPE_INT = 5;
  static final byte TYPE_LONG = 6;
  static final byte TYPE_FLOAT = 7;
  static final byte TYPE_DOUBLE = 8;
  static final byte TYPE_VOID = 9;
}
